Main Page | Class Hierarchy | Class List | Directories | File List | Class Members

# QTabBarExt Class Reference

`#include <qtabbarext.h>`

List of all members.

## Public Slots
void | closeThis ()
void | closeAll ()
void | closeAllOther ()
## Signals
void | closeThisTab (QString)
void | closeAllTab ()
void | closeAllOtherTab (QString)
## Public Member Functions
| QTabBarExt (QWidget *parent=0, const char *name=0)
void | contextMenuEvent (QContextMenuEvent *e)
## Protected Attributes
QTab * | ctab

## Detailed Description

An extended Tab Bar in order to provide the user a menu to close tabs

The documentation for this class was generated from the following files:

- code/cocktail/src/qtabbarext.h
- code/cocktail/src/moc_qtabbarext.cpp
- code/cocktail/src/qtabbarext.cpp